﻿using SlnMesnac.RfidUpload.Common;
using System;
using System.Collections.Generic;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：T14-GEN3-7895
* 命名空间：SlnMesnac.RfidUpload.Model.apiParam
* 唯一标识：923d436a-eb53-433b-87f6-f00771f525da
*
* 创建者：WenJY
* 电子邮箱：
* 创建时间：2024-10-29 14:57:58
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.RfidUpload.Model.apiParam
{
    /// <summary>
    /// 容器入库接口参数
    /// </summary>
    public class BatchOpenQuery
    {
        private static readonly Lazy<BatchOpenQuery> lazy = new Lazy<BatchOpenQuery>(() => new BatchOpenQuery());

        public static BatchOpenQuery Instance
        {
            get
            {
                return lazy.Value;
            }
        }

        private BatchOpenQuery()
        {

        }

        private static INIFile iNIFile = new INIFile(System.Environment.CurrentDirectory + "/App.InI");

        /// <summary>
        /// 机构代码
        /// </summary>
        public string opOrgCode
        {
            get { return iNIFile.IniReadValue("BatchOpenQuery", "opOrgCode"); }
            set { iNIFile.IniWriteValue("BatchOpenQuery", "opOrgCode", value.ToString()); }
        }

        /// <summary>
        /// 登录人代码
        /// </summary>
        public string userCode
        {
            get { return iNIFile.IniReadValue("BatchOpenQuery", "userCode"); }
            set { iNIFile.IniWriteValue("BatchOpenQuery", "userCode", value.ToString()); }
        }

        /// <summary>
        /// 登录人名称
        /// </summary>
        public string userName
        {
            get { return iNIFile.IniReadValue("BatchOpenQuery", "userName"); }
            set { iNIFile.IniWriteValue("BatchOpenQuery", "userName", value.ToString()); }
        }

        /// <summary>
        /// 省份代码
        /// </summary>
        public string provice
        {
            get { return iNIFile.IniReadValue("BatchOpenQuery", "provice"); }
            set { iNIFile.IniWriteValue("BatchOpenQuery", "provice", value.ToString()); }
        }

        /// <summary>
        /// 容器条码
        /// </summary>
        public string rqtm
        {
            get { return iNIFile.IniReadValue("BatchOpenQuery", "rqtm"); }
            set { iNIFile.IniWriteValue("BatchOpenQuery", "rqtm", value.ToString()); }
        }

        /// <summary>
        /// 设备编码
        /// </summary>
        public string devicedId
        {
            get { return iNIFile.IniReadValue("BatchOpenQuery", "devicedId"); }
            set { iNIFile.IniWriteValue("BatchOpenQuery", "devicedId", value.ToString()); }
        }
    }
}
